| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Friends | List of all members
Ogre::IdObject Class Reference

`#include <OgreId.h>`

## Public Member Functions
| IdObject (IdType id)
| We don't call generateNewId() here, to prevent objects in the stack (i.e. More...
IdType | getId () const
| Get the unique id of this object. More...
bool | operator() (const IdObject *left, const IdObject *right)
bool | operator() (const IdObject &left, const IdObject &right)

## Friends
struct | IdCmp

## Constructor & Destructor Documentation

## ◆ IdObject()

Ogre::IdObject::IdObject | ( | IdType | id | ) |
| inline

We don't call generateNewId() here, to prevent objects in the stack (i.e.

local variables) that don't need an Id from incrementing the count; which is very dangerous if the caller is creating local objects from multiple threads (which should stay safe!). Instead our creator should do that.

## Member Function Documentation

## ◆ getId()

IdType Ogre::IdObject::getId | ( |  | ) | const
| inline

Get the unique id of this object.

## ◆ operator()() [1/2]

bool Ogre::IdObject::operator() | ( | const IdObject * | left,
|  | const IdObject * | right
| ) |  |
| inline

## ◆ operator()() [2/2]

bool Ogre::IdObject::operator() | ( | const IdObject & | left,
|  | const IdObject & | right
| ) |  |
| inline

## Friends And Related Function Documentation

## ◆ IdCmp

friend struct IdCmp
| friend

The documentation for this class was generated from the following file:

- OgreId.h